# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'establish/version'

Gem::Specification.new do |spec|
  spec.name = "establish"
  spec.version = Establish::VERSION
  spec.authors = ["Vincenzo Fehring"]
  spec.email = ["vincenzo.fehring@me.com"]
  spec.summary = "Updating your iOS app should not be painful and time consuming."
  spec.description = "Updating your iOS app should not be painful and time consuming. Automate the whole process to start with Continuous Deployment."
  spec.homepage = "http://vincenzofehring.com"
  spec.license = "MIT"

  spec.required_ruby_version = '>= 1.9.3'

  spec.files = `git ls-files -z`.split("\x0")
  spec.executables = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "capybara"
  spec.add_dependency "poltergeist"
  spec.add_dependency "security" # Mac OS Keychain manager
  spec.add_dependency 'highline'
  spec.add_dependency 'nokogiri'

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "pry"
end