describe Establish do
  describe Establish::AppMetadata do
    let (:apple_id) { 794902327 }
    let (:app_identifier) { 'net.sunapps.1' }

    describe "#update_description", felix: true do
      before do
        @app = Establish::App.new(apple_id, app_identifier)
      end

      it "throws an exception when a string is given instead of a string" do
        except {
          @app.metadata.update_description("something")
        }.to raise_error("Please pass a hash of languages to this method")
      end

      it "updates the description when a hash is given", now: true do
        @app.metadata.update_description({
            'de' => "new"
        })
        # TODO
        # @app.upload_metadata!
      end
    end
  end
end
