describe Establish do
  describe Establish::ItunesSearchApi do
    it "returns nil when it could not be found" do
      Establish::ItunesSearchApi.fetch("invalid").should eq(nil)
      Establish::ItunesSearchApi.fetch("").should eq(nil)
      Establish::ItunesSearchApi.fetch(0).should eq(nil)
    end

    it "returns the actual object if it could be found" do
      response = Establish::ItunesSearchApi.fetch("284882215")
      response['kind'].should eq('software')
      response['supportedDevices'].count.should be > 8

      Establish::ItunesSearchApi.fetch_bundle_identifier("284882215").should eq('com.facebook.Facebook')
    end
  end
end
