require 'establish/password_manager'

describe Establish do
  describe Establish::PasswordManager do
    let (:username) { "test@example123.com" }
    let (:password) { "somethingFancy123$" }

    before do
      ENV["ESTABLISH_USER"] = username
      ENV["ESTABLISH_PASSWORD"] = password
    end

    describe "#username" do
      it "uses the environment variable if given" do
        Establish::PasswordManager.new.username.should eq(username)
      end
    end

    describe "#password" do
      it "uses the environment variable if given" do
        Establish::PasswordManager.new.password.should eq(password)
      end
    end
  end
end
